#!/bin/sh
# ===================================================================
# runJ4Lin.sh version 0.92 - general starting script for Linux or Unix.
# 
# Copyright (C) 1993 Pavel Ponec, e-mail:pponec@seznam.cz
# Home Page: http://ppsee.wz.cz/runj4/index.htm
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation version 2 of the License.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY.
# Please read data/license-gpl.txt for the full details. A copy of the GPL may 
# be found at http://www.gnu.org/licenses/gpl.txt .
#
# A History:
# rel. 0.92  - 2003/11/30 - The first public version
# rel. 0.92b - 2004/02/05 - Modified for PEKI dictionary java program
#
# Usage: sh peki.sh
# ===================================================================

# Modify path to file "java" in case you can't run the application.
java="/usr/lib/jre-1.4.2_01/bin/java"

# Maximal Memory Alocation:
parameter="-Xmx32m" 

# A Java Archive:
jarName="data/peki.jar"

# === CORE: ===
javax="$java"
if [ ! -f "${javax}" ]; then
  javax=${JAVA_HOME}/bin/java  
  if [ ! -f "$javax" ]; then
    echo "ERROR in runJ4Lin script:"
    echo "File \"$java\" was not found."
    echo "Try to modify a \"java\" variable in the current script."
    exit 1
  fi
fi
path=`echo "$0" | sed "s/[^/]*$//"`
"$javax" $parameter -jar "$path$jarName" $@
# === EOF ===
